#include <fstream>
#include <string>

using namespace std;

ifstream input("DQXAU.inp");
ofstream output("DQXAU.out");

void Reverse(string &a, int size)
{
	if (size >= 0)
	{
		output << a[size];
		Reverse(a, size - 1);
	}
}

int main()
{
	string a;
	while (!input.eof())
	{
		getline(input, a);
		Reverse(a, a.size() - 1);
		output << '\n';
	}
	input.close();
	output.close();
	return 0;
}